-- Customer specific once-script NYBU.
-- Vanwege openstaande aanpassingen in nybu.sql. Deze aanpassing met een once script. De views zijn tevens toegevoegd in nybu.sql

SET ECHO ON
SPOOL xNYBU#35917.lst
SET DEFINE OFF

CREATE OR REPLACE VIEW NYBU_V_ICT_LEVERANCIERS
(
   bedrijf_key,
   naam_leverancier
)
AS
   SELECT b.prs_bedrijf_key, b.prs_bedrijf_naam
     FROM prs_v_leverancierbedrijf b, prs_kenmerklink k
    WHERE K.PRS_LINK_KEY = B.PRS_BEDRIJF_KEY AND K.PRS_KENMERK_KEY = 1260;
    
CREATE OR REPLACE VIEW nybu_v_budgethouders
(
   perslid_key,
   naam
)
AS
   SELECT prs_perslid_key, prs_perslid_naam_full
     FROM prs_v_perslid_fullnames
    WHERE prs_perslid_key IN
                (SELECT DISTINCT k.prs_perslid_key
                   FROM prs_kostenplaats k
                  WHERE K.PRS_KOSTENPLAATS_VERWIJDER IS NULL
                        AND (TRUNC (K.PRS_KOSTENPLAATS_EIND) >
                                TRUNC (SYSDATE)
                             OR K.PRS_KOSTENPLAATS_EIND IS NULL));
 
CREATE OR REPLACE VIEW NYBU_V_RAP_WIJZIGINGSVERZOEKEN
(
   MELDINGNR,
   MELDING,
   DATUM,
   STATUS,
   AANVRAGER,
   APPLICATIE,
   ONDERWERP,
   URGENTIE,
   BEHANDELAAR
)
AS
   SELECT m.mld_melding_key meldingnr,
          m.mld_melding_key melding,
          TO_DATE (m.mld_melding_datum) datum,
          CASE m.mld_melding_status
             WHEN 1 THEN 'Afgewezen'
             WHEN 2 THEN 'Nieuw'
             WHEN 3 THEN 'Te accepteren'
             WHEN 4 THEN 'In behandeling'
             WHEN 5 THEN 'Afgemeld'
             WHEN 6 THEN 'Historie'
             WHEN 7 THEN 'Uitgegeven'
          END
             status,
          a.prs_perslid_naam_friendly aanvrager,
          appl.fac_usrdata_code applicatie,
          ond.mld_kenmerkmelding_waarde onderwerp,
          urgw.fac_usrdata_code urgentie,
          B.PRS_PERSLID_NAAM_FRIENDLY behandelaar
     FROM mld_melding m,
          prs_v_perslid_fullnames_all b,
          prs_v_perslid_fullnames_all a,
          mld_kenmerkmelding ka,
          fac_usrdata appl,
          mld_kenmerkmelding ond,
          mld_kenmerkmelding urg,
          fac_usrdata urgw
    WHERE     m.mld_stdmelding_key = 1821  --- wijzigingsverzoek
          AND m.prs_perslid_key_voor = a.prs_perslid_key
          AND m.mld_melding_behandelaar_key = b.prs_perslid_key(+)
          AND ka.mld_melding_key = m.mld_melding_key
          AND ka.mld_kenmerk_key = 1801  --- applicatie
          AND ka.mld_kenmerkmelding_waarde = appl.fac_usrdata_key
          AND ond.mld_melding_key = m.mld_melding_key
          AND ond.mld_kenmerk_key = 1803 ---onderwerp
          AND urg.mld_melding_key = m.mld_melding_key
          AND urg.mld_kenmerk_key = 1805 --- urentie
          AND urg.mld_kenmerkmelding_waarde = urgw.fac_usrdata_key;
                           
CREATE OR REPLACE VIEW NYBU_V_RAP_ADV_WIJZIGINGSVERZ
(
   MELDINGNR,
   MELDING,
   DATUM,
   STATUS,
   AANVRAGER,
   APPLICATIE,
   ONDERWERP,
   URGENTIE,
   BEHANDELAAR,
   CATEGORIE
)
AS
   SELECT m.mld_melding_key,
          m.mld_melding_key meldingnr,
          TO_DATE (m.mld_melding_datum) datum,
          CASE m.mld_melding_status
             WHEN 1 THEN 'Afgewezen'
             WHEN 2 THEN 'Nieuw'
             WHEN 3 THEN 'Te accepteren'
             WHEN 4 THEN 'In behandeling'
             WHEN 5 THEN 'Afgemeld'
             WHEN 6 THEN 'Historie'
             WHEN 7 THEN 'Uitgegeven'
          END
             status,
          p.prs_perslid_naam_friendly aanvrager,
          applw.fac_usrdata_code applicatie,
          ond.mld_kenmerkmelding_waarde onderwerp,
          urgw.fac_usrdata_code urgentie,
          b.prs_perslid_naam_friendly behandelaar,
          CASE cat.mld_kenmerkmelding_waarde
             WHEN '821' THEN 'Categorie 1 - functioneel beheerder beslist'
             WHEN '822' THEN 'Categorie 2 - het wijzigingsoverleg beslist'
             WHEN '823' THEN 'Categorie 3 - College van Bestuur beslist'
          END
             categorie
     FROM mld_melding m,
          prs_v_perslid_fullnames_all p,
          prs_v_perslid_fullnames_all b,
          mld_kenmerkmelding appl,
          fac_usrdata applw,
          mld_kenmerkmelding ond,
          mld_kenmerkmelding urg,
          fac_usrdata urgw,
          mld_kenmerkmelding cat
    WHERE     m.mld_stdmelding_key = 1821  --- wijzigingsverzoek
          AND p.prs_perslid_key = m.prs_perslid_key_voor
          AND b.prs_perslid_key(+) = m.mld_melding_behandelaar_key
          AND appl.mld_melding_key = m.mld_melding_key
          AND appl.mld_kenmerk_key = 1801  --- applicatie
          AND appl.mld_kenmerkmelding_waarde = applw.fac_usrdata_key
          AND ond.mld_melding_key = m.mld_melding_key
          AND ond.mld_kenmerk_key = 1803 ---onderwerp
          AND urg.mld_melding_key = m.mld_melding_key
          AND urg.mld_kenmerk_key = 1805 --- urentie
          AND urg.mld_kenmerkmelding_waarde = urgw.fac_usrdata_key
          AND cat.mld_melding_key = m.mld_melding_key
          AND cat.mld_kenmerk_key = 1861 --- categorie
          AND NOT EXISTS
                (SELECT besw.fac_usrdata_code besluit
                   FROM mld_kenmerkmelding bes, fac_usrdata besw
                  WHERE bes.mld_melding_key(+) = m.mld_melding_key
                        AND bes.mld_kenmerk_key = 1862
                        AND bes.mld_kenmerkmelding_waarde =
                              besw.fac_usrdata_key);

BEGIN adm.systrackscriptId('$Id$'); END;
/

COMMIT;

SPOOL OFF